[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.ReadBinary

Start reading a binary value.

## Declaration

Source position: classesh.inc line 1294

`public procedure TBinaryObjectReader.ReadBinary(`
`const DestData: TMemoryStream`
`); override;`

## Description

ReadBinary reads a binary value from a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader